Package com.massivecraft.factions.event

## Class FPlayerRoleChangeEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - com.massivecraft.factions.event.FactionEvent
    - - com.massivecraft.factions.event.FactionPlayerEvent
      - - com.massivecraft.factions.event.FPlayerRoleChangeEvent

All Implemented Interfaces:
  `org.bukkit.event.Cancellable`

    public class FPlayerRoleChangeEvent
    extends FactionPlayerEvent
    implements org.bukkit.event.Cancellable

Represents `Role` change of a factions player

See Also:
  `FPlayer.getRole()`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Field Summary

### Fields inherited from class com.massivecraft.factions.event.FactionPlayerEvent

`fPlayer`

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`FPlayerRoleChangeEvent​(Faction faction, FPlayer fPlayer, Role to)` |
`FPlayerRoleChangeEvent​(Faction faction, FPlayer fPlayer, Role from, Role to)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`Role` | `getFrom()` |
`Role` | `getTo()` |
`boolean` | `isCancelled()` |
`void` | `setCancelled​(boolean cancelled)` |
`void` | `setTo​(Role to)` |

### Methods inherited from class com.massivecraft.factions.event.FactionPlayerEvent

`getfPlayer`

### Methods inherited from class com.massivecraft.factions.event.FactionEvent

`getFaction, getHandlerList, getHandlers`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FPlayerRoleChangeEvent

    public FPlayerRoleChangeEvent​(Faction faction,
                                  FPlayer fPlayer,
                                  Role from,
                                  Role to)

#### FPlayerRoleChangeEvent

    public FPlayerRoleChangeEvent​(Faction faction,
                                  FPlayer fPlayer,
                                  Role to)

### Method Detail

#### isCancelled

    public boolean isCancelled()

Specified by:
  `isCancelled` in interface `org.bukkit.event.Cancellable`

#### setCancelled

    public void setCancelled​(boolean cancelled)

Specified by:
  `setCancelled` in interface `org.bukkit.event.Cancellable`

#### getFrom

    public Role getFrom()

#### getTo

    public Role getTo()

#### setTo

    public void setTo​(Role to)